{ BUG: overlapping case ranges are allowed in BP.
  Seems to require a change in ../stmt.c: add_case_node(), or a
  complicated code in GPC to successively eliminate duplicated
  labels. }

program drf6;

{ FLAG -Werror --borland-pascal }

var
  a : 0 .. 2;

begin
  a := 0;
  case a of
    1 : writeln ('failed');
    0 .. 2 : writeln ('OK');
  end
end.
